Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153936 - RFE: track pkgconfig .pc dependencies
Summary: RFE: track pkgconfig .pc dependencies
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On: 159235
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-05 22:52 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-18 20:45:51 UTC


Attachments (Terms of Use)
pkgconfig requires script (deleted)
2005-04-05 22:55 UTC, Nalin Dahyabhai
no flags Details
pkgconfig provides script (deleted)
2005-04-05 22:55 UTC, Nalin Dahyabhai
no flags Details

Description Nalin Dahyabhai 2005-04-05 22:52:39 UTC
Description of problem:
Development packages which provide .pc files often require .pc files (and
headers, and libraries) provided by other development packages.  Fedora Core's
pkgconfig package (at least as of 1:0.15.0-6) can be used to query this
information.  It would be useful if the RPM configuration recorded this
dependency information in packages so that it could be tracked.

Version-Release number of selected component (if applicable):
8.0.34-1

How reproducible:
Always

Additional info:
This came up on fedora-maintainers.  Added here in part for tracking.

Comment 1 Nalin Dahyabhai 2005-04-05 22:55:32 UTC
Created attachment 112736 [details]
pkgconfig requires script

Comment 2 Nalin Dahyabhai 2005-04-05 22:55:57 UTC
Created attachment 112737 [details]
pkgconfig provides script

Comment 3 Jeff Johnson 2005-07-13 12:07:13 UTC
Scripts added tp rpm-4_4 CVS. No plumbing yet, judging from past experience, I've got 2-3 years to wire 
up the lash. ;-(


Note You need to log in before you can comment on or make changes to this bug.